#by SireSolo


#Gamerules
gamerule commandBlockOutput false
gamerule disableRaids true
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doImmediateRespawn true
gamerule doInsomnia false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doPatrolSpawning false
gamerule doTileDrops false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule mobGriefing false
gamerule naturalRegeneration false
gamerule showDeathMessages false
time set noon


#effects
effect give @a minecraft:saturation 100000 0 true
effect give @a minecraft:jump_boost 100000 1 true
effect give @a minecraft:instant_health 100000 0 true


#adventure mode
gamemode adventure @a[name=!Sire_Solo]
clear @a[gamemode=adventure] arrow


#Hub
execute at @a[scores={Start=0}] run function crash:mainhub

#Wumpa Fruit
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:apple"}]}] run scoreboard players add @a Wumpa 1
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:apple"}]}] run clear @a minecraft:apple 1
execute at @e[type=bee,name=Wumpa] run summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:apple",Count:1b},Age:-32768,NoGravity:1}
tp @e[type=bee,name=Wumpa] ~ ~-500 ~


#Lives
scoreboard players add @a[scores={Wumpa=100..}] Lives 1
scoreboard players remove @a[scores={Wumpa=100..}] Wumpa 100
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:carrot"}]}] run scoreboard players add @a Lives 1
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:carrot"}]}] run clear @a minecraft:carrot 1
execute at @e[type=bee,name=Crash] run summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:carrot",Count:1b},NoGravity:1}
tp @e[type=bee,name=Crash] ~ ~-500 ~
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:golden_apple"}]}] run scoreboard players add @a Lives 1
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:golden_apple"}]}] run clear @a minecraft:golden_apple 1


#Scoreboard
title @a[scores={In=0}] actionbar ["",{"text":"Wumpa: ","color":"yellow"},{"score":{"name":"@p","objective":"Wumpa"},"color":"yellow"}]
execute at @a[scores={In=1}] run function crash:level/loop
scoreboard players set @a[scores={In=0,Level=1..}] Level 0
scoreboard players set @a[scores={In=0,Crates=1..}] Crates 0


#Planks
execute at @a[gamemode=adventure,scores={Start=1}] if block ~ ~-1 ~ #minecraft:planks run function crash:planks
execute at @a[gamemode=adventure,scores={Start=1}] if block ~ ~1.8 ~ #minecraft:planks run function crash:planks
scoreboard players set @a[scores={multi=5..}] multi 0
execute at @a[gamemode=adventure,name=!Sire_Solo] run scoreboard objectives setdisplay sidebar


#? Blocks
scoreboard players add @a seeditem 1
scoreboard players set @a[scores={seeditem=15..}] seeditem 0
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:wheat_seeds"}]}] run function crash:qcrate


#Jump/Quartz block
execute at @a[gamemode=adventure,scores={Start=1}] if block ~ ~-1 ~ minecraft:quartz_block run function crash:quartz


#Jump
execute at @a[nbt={OnGround:1b}] run scoreboard players set @a Jump 0
scoreboard players add @a[scores={Jump=1..}] fall 1
scoreboard players set @a[scores={Jump=0}] fall 0
scoreboard players set @a[scores={Start=0}] fall 0


#Aku AKu
execute at @a if entity @a[nbt={Inventory:[{id:"minecraft:black_dye"}]}] run playsound minecraft:block.note_block.banjo master @a ~ ~ ~
execute as @a if entity @a[nbt={Inventory:[{id:"minecraft:black_dye"}]}] run function crash:aku
execute at @a[scores={Aku=3},gamemode=adventure] run function crash:akuaku
scoreboard players set @a[scores={Tick=200..}] Tick 0
execute as @a if entity @a[nbt={Inventory:[{id:"minecraft:blue_dye"}]}] run execute as @e[type=armor_stand,name="Aku Aku"] at @p run tp ~1 ~ ~
execute as @a if entity @a[nbt={Inventory:[{id:"minecraft:blue_dye",Count:2b}]}] run scoreboard players set @a[scores={Aku=3..}] Aku 2
clear @a[scores={Aku=0}] blue_dye
execute as @a if entity @a[nbt=!{Inventory:[{id:"minecraft:blue_dye"}]}] run kill @e[name="Aku Aku"]

execute at @a if entity @a[nbt={Inventory:[{id:"minecraft:diamond_axe",Count:2b}]}] run clear @a minecraft:diamond_axe 1

#Health
execute at @a[gamemode=adventure,scores={Lives=1..}] run function crash:lives
execute at @a[gamemode=adventure] if block ~ ~-1 ~ glass run kill @p
execute at @a[gamemode=adventure,scores={Lives=0}] run function crash:crash


#No Drop items:
execute at @a[gamemode=adventure] run tp @e[type=item,nbt={Item:{id:"minecraft:blue_dye"}}] @p
execute at @a[gamemode=adventure] run tp @e[type=item,nbt={Item:{id:"minecraft:diamond_axe"}}] @p
execute at @a[scores={hub=1,Level=1..}] run function crash:hub1
execute at @a[scores={In=0}] run clear @a kelp
tp @e[type=item,nbt={Item:{id:"minecraft:kelp"}}] ~ ~-500 ~


#TnT
execute at @a[gamemode=adventure,scores={fall=14..,Start=1}] if block ~ ~-1 ~ minecraft:tnt run playsound minecraft:block.ancient_debris.break master @a ~ ~ ~ 1
execute at @a[gamemode=adventure,scores={fall=14..,Start=1}] if block ~ ~-1 ~ minecraft:tnt run summon armor_stand ~ ~-0.5 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,Small:1b,CustomName:"{\"text\":\"TnT\"}",DisabledSlots:2039583}
execute at @e[name=TnT] run function crash:tnt
execute at @a[gamemode=adventure,scores={Start=1}] if block ~ ~1.8 ~ tnt run function crash:tnt2



#Death
scoreboard players remove @a[scores={Death=1..,Lives=1..}] Lives 1
scoreboard players set @a[scores={Death=1..,Lives=1..}] Aku 0
scoreboard players set @a[scores={Death=1..}] bonus 0
scoreboard players set @a[scores={Death=1..}] Death 0
scoreboard players set @a[scores={deaths=1..,In=0}] deaths 0


#Nitro
execute at @e[type=bee,name=Nitro] run summon armor_stand ~ ~-1.4 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ArmorItems:[{},{},{},{id:"melon",Count:1b}],HandItems:[{},{}],CustomName:"{\"text\":\"Nitro\"}",DisabledSlots:2039583}
execute at @e[type=bee,name=Nitro] run summon armor_stand ~ ~-.3 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,ArmorItems:[{},{},{},{}],HandItems:[{},{}],CustomName:"{\"text\":\"NITRO\"}",DisabledSlots:2039583}
tp @e[type=bee,name=Nitro] ~ ~-500 ~
execute at @e[name=NITRO] run execute at @p[distance=..1,gamemode=adventure,scores={Start=1}] run function crash:nitro
scoreboard players add @e[name=Nitro] bounce 1
execute as @e[name=Nitro,scores={bounce=75..90}] at @s run teleport @s ~ ~.02 ~
execute as @e[name=Nitro,scores={bounce=80}] at @s run playsound minecraft:block.bubble_column.upwards_ambient master @a[distance=..10] ~ ~ ~ 30
execute as @e[name=Nitro,scores={bounce=90..105}] at @s run teleport @s ~ ~-.02 ~
scoreboard players reset @e[name=Nitro,scores={bounce=106..}]


#Music
scoreboard players add @a tick 1
stopsound @a block
stopsound @a music minecraft:music.game
stopsound @a music minecraft:music.creative
stopsound @a music minecraft:music.menu
stopsound @a ambient minecraft:ambient.cave
execute at @a[scores={Start=1,tick=0..}] run function crash:level/music/loop


#Portals
execute at @a[scores={In=0}] run function crash:level/portals


#Levels
execute at @a[scores={In=1}] run function crash:level/loop


#Gem
execute at @e[type=bee,name=Gem] run summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:glowston_dust",Count:1b},NoGravity:1}
tp @e[type=bee,name=Gem] ~ ~-500 ~